# Basic Configuration
baseURL = "/"
title = ""
theme = "chill-theme"
defaultContentLanguage = "fr"

# Language configuration
[languages]
  [languages.fr]
    languageCode = "fr-fr"
    languageName = "Français"
    weight = 1
    contentDir = "content"

  [languages.en]
    languageCode = "en-us"
    languageName = "English"
    weight = 2
    contentDir = "content/en"
  [languages.nl]
    languageCode = "nl-nl"
    languageName = "Nederlands"
    weight = 3
    contentDir = "content/nl"

# Required Features
enableEmoji = true        # Enable emoji support
enableGitInfo = true      # Enable Git info for lastmod

# Pagination
pagination = { pagerSize = 6, path = "page" }

# Required Module Configuration
[module]
  [module.hugoVersion]
    extended = true
    min = "0.80.0"

# Required Build Configuration
[build]
  writeStats = true      # Required for TailwindCSS

[build.buildStats]
  enable = true

# Security Configuration
[security.funcs]
  getenv = ['^HUGO_', '^CI$']


# Required Markup Configuration
[markup]
  [markup.highlight]
    noClasses = false
    lineNos = true
    codeFences = true
    guessSyntax = true
    lineNumbersInTable = true
  [markup.goldmark.renderer]
    unsafe = true       # Allow HTML in markdown
  [markup.tableOfContents]
    endLevel = 3
    ordered = false
    startLevel = 2

# Taxonomies
[taxonomies]
  category = 'categories'
  tag = 'tags'

# Theme Parameters
[params]
  description = "Logiciel libre d'accompagnement social"
  author = "Champs-Libres"
  logo = "/images/logo.png"      # Path to your logo
  customCSS = ["css/custom.css"]


  # Header Configuration
  [params.header]
    background = "header backdrop-blur-sm"
    border = "none"
    menu.linkClass = "text-white hover:text-primary font-bold transition duration-200"
    
  # Header Logo
  [params.header.logo]
    src = "/images/logo-darkmode.png"
    
  # Global CTA Configuration (optional)
  [params.cta]
  enable = true
  title = "Prêt à commencer ?"
  description = "Tester Chill dès aujourd'hui et découvrez comment il peut transformer votre gestion sociale."

  # Gradient background
  gradient_from = "#0d242e"  # Blue-600
  gradient_to = "#23627e"    # Purple-600
  gradient_angle = 30

  # Primary button
  [params.cta.primary_button]
    text = "Réserver une démo"
    url = "/contact"

  # Secondary button
  [params.cta.secondary_button]
    text = "Essayer la démo"
    url = "http://demo.chill.social/"




  # Social Media Links (optional)
  [params.social]
    mastodon = "https://mastodon.libre-entreprise.com/@Chill"
    gitlab = "https://gitlab.com/Chill-Projet/chill-bundles"

# Navigation Menu
[menu]
  [[menu.main]]
    name = "Fonctionnalités"
    url = "/features"
    weight = 1
  [[menu.main]]
    name = "Installation"
    weight = 2
    [menu.main.params]
      has_submenu = true
      submenu = [
        { name = "Par Champs Libres", url = "/install/hosted" },
        { name = "En auto-hébergement", url = "/install/on-premise" }
      ]
  [[menu.main]]
    name = "Tarification"
    url = "/pricing"
    weight = 3
  [[menu.main]]
    name = "Ressources"
    weight = 4
    [menu.main.params]
      has_submenu = true
      submenu = [
        { name = "Documentation technique", url = "/resources/technical-documentation" },
        { name = "Manuels", url = "/resources/manuals" },
        { name = "Tutoriels", url = "/tutorials" }
      ]
  [[menu.main]]
    name = "Nous contacter"
    url = "/contact"
    weight = 5

  [languages.en.menu]
  [[languages.en.menu.main]]
    name = "Features"
    url = "/features"
    weight = 1
  [[languages.en.menu.main]]
    name = "Installation"
    weight = 2
    [languages.en.menu.main.params]
      has_submenu = true
      submenu = [
        { name = "By Champs Libres", url = "/install/hosted" },
        { name = "Self-hosted", url = "/install/on-premise" }
      ]
  [[languages.en.menu.main]]
    name = "Pricing"
    url = "/pricing"
    weight = 3
  [[languages.en.menu.main]]
    name = "Resources"
    weight = 4
    [languages.en.menu.main.params]
      has_submenu = true
      submenu = [
        { name = "Technical Documentation", url = "/resources/technical-documentation" },
        { name = "Manuals", url = "/resources/manuals" },
        { name = "Tutorials", url = "/tutorials" }
      ]
  [[languages.en.menu.main]]
    name = "Contact Us"
    url = "/contact"
    weight = 5

  [languages.nl.menu]
  [[languages.nl.menu.main]]
    name = "Functies"
    url = "/features"
    weight = 1
  [[languages.nl.menu.main]]
    name = "Installatie"
    weight = 2
    [languages.nl.menu.main.params]
      has_submenu = true
      submenu = [
        { name = "Door Champs Libres", url = "/install/hosted" },
        { name = "Zelf gehost", url = "/install/on-premise" }
      ]
  [[languages.nl.menu.main]]
    name = "Prijsstelling"
    url = "/pricing"
    weight = 3
  [[languages.nl.menu.main]]
    name = "Bronnen"
    weight = 4
    [languages.nl.menu.main.params]
      has_submenu = true
      submenu = [
        { name = "Technische Documentatie", url = "/resources/technical-documentation" },
        { name = "Handleidingen", url = "/resources/manuals" },
        { name = "Tutorials", url = "/tutorials" }
      ]
  [[languages.nl.menu.main]]
    name = "Contacteer Ons"
    url = "/contact"
    weight = 5
